
% Army Model Rules Names

\newcommand{\infernalbrand}{Infernal Brand}
\newcommand{\boundorbroken}{Bound or Broken}
\newcommand{\taurukhritual}{Taurukh Ritual}
\newcommand{\mechanisedsupport}{\newrule{Mechanised Support}}
\newcommand{\incendiary}{Incendiary}
\newcommand{\firesofindustry}{Fires of Industry}

\newcommand{\oilflasks}{\newrule{Oil Flasks}}
\newcommand{\ashstorm}{\newrule{Ash Storm}}

\newcommand{\volcanicembrace}{Volcanic Embrace}

\newcommand{\infernalarmour}{Infernal Armour}

\newcommand{\flintlockaxe}{Flintlock Axe}
\newcommand{\blunderbuss}{Blunderbuss}

\newcommand{\naphthathrower}{Naphtha Thrower}
\newcommand{\rocketbattery}{Rocket Battery}
\newcommand{\titanmortar}{Titan Mortar}

\newcommand{\infernalweapon}{Infernal Weapon}

% Army Model Rules Texts

\newcommand{\infernalbranddef}{%
	\newrule{The model gains \textbf{Commanding Presence} with the following restrictions: it has a range of \distance{6} and can only benefit Insignificant models. In addition, Standard Height units with more than half of their models with Infernal Brand double their number of Full Ranks for the purpose of Steadfast in the First Round of Combat unless Charging.}%
}

\newcommand{\taurukhritualdef}{%
	The model is subject to the following modifications:%
	\begin{itemize}%
		\item It gains \textbf{\cannotbestomped{}}, \textbf{\impacthits{} (1)}, and \textbf{\tall{}}.
		\item Its Advance Rate is \textbf{set} to \distance{7} and its March Rate is \textbf{set} to \distance{14}\removedrule{, and it gains +1 Armour}.
		\item Its base size is changed to 25\timess{}\SI{50}{\milli\meter}.
		\item Its Type is changed to Beast.%
	\end{itemize}	%
}

\newcommand{\mechanisedsupportdef}{%
	\newrule{The model must be deployed in, and can only join, a unit that includes at least one \rnf{} model with Infernal Brand. The model can never voluntarily leave its unit.}%
}

\newcommand{\incendiarydef}{%
	Place one Incendiary marker for each instance of \incendiary{} next to the unit. A unit with one or more \incendiary{} markers gains \textbf{\flammable{}}. Remove one \incendiary{} marker:%
	\begin{itemize}%
		\item Immediately when the unit suffers one or more wounds (before saves are performed) from Ranged Attacks that are Flaming Attacks.%
		\item At the end of a Round of Combat in which the unit suffers one or more wounds (before saves are performed) from Melee Attacks that are Flaming Attacks.%
	\end{itemize}%
	A Character leaving a unit affected by \incendiary{} is no longer affected, unless the Character was a single model unit when it gained \incendiary{}. In that case, the Character keeps those \incendiary{} markers.%
}
\newcommand{\firesofindustrydef}{%
	The sum of the \firesofindustry{} values stated in brackets of all models in the army is restricted to \newrule{1 per 750 Army Points, rounding fractions up.}%
}

\newcommand{\oilflasksdef}{%
	\newrule{If one or more simultaneous attacks with Oil Flasks hit, after resolving these attacks, the target unit gains one Incendiary marker, or two if the attacking unit has 3 Full Ranks or more}.%
}


\newcommand{\volcanicembracedef}{%
	The model part gains \textbf{\grindattacks{} (X)}, where X corresponds to the value stated in brackets. \newrule{The Strength of these Grind Attacks is \textbf{always} equal to the Armour of the model that the hit is distributed onto, and their Armour Penetration is \textbf{set} to 4.} In addition, attacks made by the model part, including Special Attacks, \newrule{become \textbf{\flamingattacks{}} and \textbf{\magicalattacks{}}.}
}

\newcommand{\infernalarmourdef}{%
	Plate Armour. The wearer gains \textbf{\aegis{} (5+, against \flamingattacks{})}.%
}

\newcommand{\infernalweapondef}{%
	Attacks made with this weapon gain +1 Strength and +1 Armour Penetration.%
}

\newcommand{\flintlockandblunderbussrestriction}{%
	0--60 \rnf{} Models with \flintlockaxe{} or \blunderbuss{} or \pistol{} per Army%
}
\newcommand{\flintlockaxedef}{%
	Counts as a Close Combat Weapon with \textbf{\twohanded} in close combat. Close Combat Attacks made with it gain +1 Strength. Can be enchanted like a Close Combat Weapon, but only Close Combat Attacks are affected by the Weapon Enchantment unless specifically stated otherwise. \newrule{The model may shoot from the third rank (in addition to the first and second).}%
}
\newcommand{\blunderbussdef}{%
	\newrule{Does not suffer the negative to-hit modifier from a Stand and Shoot Charge Reaction.}%
}

\newcommand{\rocketbatterydef}{%
	When rolling to hit, if two or more dice rolled a natural \result{1}, all hits are ignored and the weapon Misfires. For each \result{1} rolled after the second, the roll on the Misfire Table suffers a \minuss{}2 modifier.%
}

\newcommand{\ashstormdef}{%
	\newrule{Enemy units cannot declare Stand and Shoot Charge Reactions against the model's unit.}%
}
